--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 15:29:00.361402957 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 15:29:20.967402653 +0200
@@ -5,7 +5,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <apti18n.h>
 
 #include <apt-pkg/progress.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h.ark	2008-10-12 15:29:35.544407879 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h	2008-10-12 15:29:56.519402620 +0200
@@ -24,7 +24,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <rpm/rpmmacro.h>
 
 #include <sys/types.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc.ark	2008-10-12 15:30:07.994401846 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc	2008-10-12 15:30:23.487402107 +0200
@@ -15,7 +15,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 RPMPackageData::RPMPackageData()
    :
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h.ark	2008-10-12 15:30:37.009407514 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h	2008-10-12 15:30:53.943401683 +0200
@@ -14,7 +14,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #if RPM_VERSION >= 0x040100
 #include <rpm/rpmts.h>
 #endif
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc.ark	2008-10-12 15:31:06.937401673 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc	2008-10-12 15:31:22.831644933 +0200
@@ -38,7 +38,11 @@
 #include <stdlib.h>
 #include <dirent.h>
 #include <fcntl.h>
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <assert.h>
 #include <time.h>
 									/*}}}*/
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc.ark	2008-10-12 15:31:27.202403137 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc	2008-10-12 15:31:42.823401723 +0200
@@ -30,7 +30,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 #include <stdlib.h>
 #include <assert.h>
--- apt-0.5.15lorg3.94a/configure.ac.ark	2008-10-12 15:21:10.022527676 +0200
+++ apt-0.5.15lorg3.94a/configure.ac	2008-10-12 15:28:40.118401689 +0200
@@ -63,7 +63,7 @@ PKG_CHECK_MODULES([RPM], [rpm], [
 
 AC_MSG_CHECKING(for RPM version)
 RPM_VERSION_MAJOR=
-RPM_VERSION_MINOR=
+RPM_VERSION_MINOR=
 RPM_VERSION_MICRO=
 if test -z "" -o -z ""; then
    AC_MSG_ERROR([can't parse RPM version])
@@ -100,7 +100,8 @@ fi
 
 dnl Various rpm header checks..
 AC_CHECK_HEADER(rpm/rpmlib.h, [],
-	   [AC_MSG_ERROR([Can't find rpmlib.h])])
+	[AC_CHECK_HEADER(rpm/rpmtag.h, [],
+	   [AC_MSG_ERROR([Can't find rpmlib.h or rpmtag.h])])])
-AC_CHECK_HEADERS([rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h +AC_CHECK_HEADERS([rpm/rpmlib.h rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h  	     rpm/rpmmessages.h rpm/rpmevr.h])
 
--- apt-0.5.15lorg3.94a/tools/countpkglist.cc.ark	2008-10-12 15:32:00.307408076 +0200
+++ apt-0.5.15lorg3.94a/tools/countpkglist.cc	2008-10-12 15:32:14.176402744 +0200
@@ -7,7 +7,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 int main(int argc, char *argv[])
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 17:52:24.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 17:52:32.000000000 +0000
@@ -45,8 +45,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 		   rpmCallbackType what,
-                   uint64_t amount,
-                   uint64_t total,
+                   rpmuint64_t amount,
+                   rpmuint64_t total,
 		   const void * pkgKey, void * data)
 
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h.ark	2008-10-12 17:56:03.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h	2008-10-12 17:56:10.000000000 +0000
@@ -16,8 +16,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 			rpmCallbackType what,
-                        uint64_t amount,
-                        uint64_t total,
+                        rpmuint64_t amount,
+                        rpmuint64_t total,
 			const void * pkgKey, void * data);
 
 #endif /* _APTRPM_RPMCALLBACK_H */

--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 15:29:00.361402957 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 15:29:20.967402653 +0200
@@ -5,7 +5,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <apti18n.h>
 
 #include <apt-pkg/progress.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h.ark	2008-10-12 15:29:35.544407879 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h	2008-10-12 15:29:56.519402620 +0200
@@ -24,7 +24,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <rpm/rpmmacro.h>
 
 #include <sys/types.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc.ark	2008-10-12 15:30:07.994401846 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc	2008-10-12 15:30:23.487402107 +0200
@@ -15,7 +15,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 RPMPackageData::RPMPackageData()
    :
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h.ark	2008-10-12 15:30:37.009407514 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h	2008-10-12 15:30:53.943401683 +0200
@@ -14,7 +14,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #if RPM_VERSION >= 0x040100
 #include <rpm/rpmts.h>
 #endif
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc.ark	2008-10-12 15:31:06.937401673 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc	2008-10-12 15:31:22.831644933 +0200
@@ -38,7 +38,11 @@
 #include <stdlib.h>
 #include <dirent.h>
 #include <fcntl.h>
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <assert.h>
 #include <time.h>
 									/*}}}*/
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc.ark	2008-10-12 15:31:27.202403137 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc	2008-10-12 15:31:42.823401723 +0200
@@ -30,7 +30,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 #include <stdlib.h>
 #include <assert.h>
--- apt-0.5.15lorg3.94a/configure.ac.ark	2008-10-12 15:21:10.022527676 +0200
+++ apt-0.5.15lorg3.94a/configure.ac	2008-10-12 15:28:40.118401689 +0200
@@ -63,7 +63,7 @@ PKG_CHECK_MODULES([RPM], [rpm], [
 
 AC_MSG_CHECKING(for RPM version)
 RPM_VERSION_MAJOR=
-RPM_VERSION_MINOR=
+RPM_VERSION_MINOR=
 RPM_VERSION_MICRO=
 if test -z "" -o -z ""; then
    AC_MSG_ERROR([can't parse RPM version])
@@ -100,7 +100,8 @@ fi
 
 dnl Various rpm header checks..
 AC_CHECK_HEADER(rpm/rpmlib.h, [],
-	   [AC_MSG_ERROR([Can't find rpmlib.h])])
+	[AC_CHECK_HEADER(rpm/rpmtag.h, [],
+	   [AC_MSG_ERROR([Can't find rpmlib.h or rpmtag.h])])])
-AC_CHECK_HEADERS([rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h +AC_CHECK_HEADERS([rpm/rpmlib.h rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h  	     rpm/rpmmessages.h rpm/rpmevr.h])
 
--- apt-0.5.15lorg3.94a/tools/countpkglist.cc.ark	2008-10-12 15:32:00.307408076 +0200
+++ apt-0.5.15lorg3.94a/tools/countpkglist.cc	2008-10-12 15:32:14.176402744 +0200
@@ -7,7 +7,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 int main(int argc, char *argv[])
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 17:52:24.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 17:52:32.000000000 +0000
@@ -45,8 +45,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 		   rpmCallbackType what,
-                   uint64_t amount,
-                   uint64_t total,
+                   rpmuint64_t amount,
+                   rpmuint64_t total,
 		   const void * pkgKey, void * data)
 
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h.ark	2008-10-12 17:56:03.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h	2008-10-12 17:56:10.000000000 +0000
@@ -16,8 +16,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 			rpmCallbackType what,
-                        uint64_t amount,
-                        uint64_t total,
+                        rpmuint64_t amount,
+                        rpmuint64_t total,
 			const void * pkgKey, void * data);
 
 #endif /* _APTRPM_RPMCALLBACK_H */

--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 15:29:00.361402957 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 15:29:20.967402653 +0200
@@ -5,7 +5,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <apti18n.h>
 
 #include <apt-pkg/progress.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h.ark	2008-10-12 15:29:35.544407879 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h	2008-10-12 15:29:56.519402620 +0200
@@ -24,7 +24,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <rpm/rpmmacro.h>
 
 #include <sys/types.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc.ark	2008-10-12 15:30:07.994401846 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc	2008-10-12 15:30:23.487402107 +0200
@@ -15,7 +15,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 RPMPackageData::RPMPackageData()
    :
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h.ark	2008-10-12 15:30:37.009407514 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h	2008-10-12 15:30:53.943401683 +0200
@@ -14,7 +14,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #if RPM_VERSION >= 0x040100
 #include <rpm/rpmts.h>
 #endif
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc.ark	2008-10-12 15:31:06.937401673 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc	2008-10-12 15:31:22.831644933 +0200
@@ -38,7 +38,11 @@
 #include <stdlib.h>
 #include <dirent.h>
 #include <fcntl.h>
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <assert.h>
 #include <time.h>
 									/*}}}*/
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc.ark	2008-10-12 15:31:27.202403137 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc	2008-10-12 15:31:42.823401723 +0200
@@ -30,7 +30,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 #include <stdlib.h>
 #include <assert.h>
--- apt-0.5.15lorg3.94a/configure.ac.ark	2008-10-12 15:21:10.022527676 +0200
+++ apt-0.5.15lorg3.94a/configure.ac	2008-10-12 15:28:40.118401689 +0200
@@ -63,7 +63,7 @@ PKG_CHECK_MODULES([RPM], [rpm], [
 
 AC_MSG_CHECKING(for RPM version)
 RPM_VERSION_MAJOR=
-RPM_VERSION_MINOR=
+RPM_VERSION_MINOR=
 RPM_VERSION_MICRO=
 if test -z "" -o -z ""; then
    AC_MSG_ERROR([can't parse RPM version])
@@ -100,7 +100,8 @@ fi
 
 dnl Various rpm header checks..
 AC_CHECK_HEADER(rpm/rpmlib.h, [],
-	   [AC_MSG_ERROR([Can't find rpmlib.h])])
+	[AC_CHECK_HEADER(rpm/rpmtag.h, [],
+	   [AC_MSG_ERROR([Can't find rpmlib.h or rpmtag.h])])])
-AC_CHECK_HEADERS([rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h +AC_CHECK_HEADERS([rpm/rpmlib.h rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h  	     rpm/rpmmessages.h rpm/rpmevr.h])
 
--- apt-0.5.15lorg3.94a/tools/countpkglist.cc.ark	2008-10-12 15:32:00.307408076 +0200
+++ apt-0.5.15lorg3.94a/tools/countpkglist.cc	2008-10-12 15:32:14.176402744 +0200
@@ -7,7 +7,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 int main(int argc, char *argv[])
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 17:52:24.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 17:52:32.000000000 +0000
@@ -45,8 +45,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 		   rpmCallbackType what,
-                   uint64_t amount,
-                   uint64_t total,
+                   rpmuint64_t amount,
+                   rpmuint64_t total,
 		   const void * pkgKey, void * data)
 
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h.ark	2008-10-12 17:56:03.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h	2008-10-12 17:56:10.000000000 +0000
@@ -16,8 +16,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 			rpmCallbackType what,
-                        uint64_t amount,
-                        uint64_t total,
+                        rpmuint64_t amount,
+                        rpmuint64_t total,
 			const void * pkgKey, void * data);
 
 #endif /* _APTRPM_RPMCALLBACK_H */

--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 15:29:00.361402957 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 15:29:20.967402653 +0200
@@ -5,7 +5,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <apti18n.h>
 
 #include <apt-pkg/progress.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h.ark	2008-10-12 15:29:35.544407879 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmhandler.h	2008-10-12 15:29:56.519402620 +0200
@@ -24,7 +24,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <rpm/rpmmacro.h>
 
 #include <sys/types.h>
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc.ark	2008-10-12 15:30:07.994401846 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpackagedata.cc	2008-10-12 15:30:23.487402107 +0200
@@ -15,7 +15,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 RPMPackageData::RPMPackageData()
    :
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h.ark	2008-10-12 15:30:37.009407514 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmpm.h	2008-10-12 15:30:53.943401683 +0200
@@ -14,7 +14,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #if RPM_VERSION >= 0x040100
 #include <rpm/rpmts.h>
 #endif
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc.ark	2008-10-12 15:31:06.937401673 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmsystem.cc	2008-10-12 15:31:22.831644933 +0200
@@ -38,7 +38,11 @@
 #include <stdlib.h>
 #include <dirent.h>
 #include <fcntl.h>
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 #include <assert.h>
 #include <time.h>
 									/*}}}*/
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc.ark	2008-10-12 15:31:27.202403137 +0200
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/rpmversion.cc	2008-10-12 15:31:42.823401723 +0200
@@ -30,7 +30,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 #include <stdlib.h>
 #include <assert.h>
--- apt-0.5.15lorg3.94a/configure.ac.ark	2008-10-12 15:21:10.022527676 +0200
+++ apt-0.5.15lorg3.94a/configure.ac	2008-10-12 15:28:40.118401689 +0200
@@ -63,7 +63,7 @@ PKG_CHECK_MODULES([RPM], [rpm], [
 
 AC_MSG_CHECKING(for RPM version)
 RPM_VERSION_MAJOR=
-RPM_VERSION_MINOR=
+RPM_VERSION_MINOR=
 RPM_VERSION_MICRO=
 if test -z "" -o -z ""; then
    AC_MSG_ERROR([can't parse RPM version])
@@ -100,7 +100,8 @@ fi
 
 dnl Various rpm header checks..
 AC_CHECK_HEADER(rpm/rpmlib.h, [],
-	   [AC_MSG_ERROR([Can't find rpmlib.h])])
+	[AC_CHECK_HEADER(rpm/rpmtag.h, [],
+	   [AC_MSG_ERROR([Can't find rpmlib.h or rpmtag.h])])])
-AC_CHECK_HEADERS([rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h +AC_CHECK_HEADERS([rpm/rpmlib.h rpm/rpmsx.h rpm/rpmcallback.h rpm/rpmcb.h  	     rpm/rpmmessages.h rpm/rpmevr.h])
 
--- apt-0.5.15lorg3.94a/tools/countpkglist.cc.ark	2008-10-12 15:32:00.307408076 +0200
+++ apt-0.5.15lorg3.94a/tools/countpkglist.cc	2008-10-12 15:32:14.176402744 +0200
@@ -7,7 +7,11 @@
 #if RPM_VERSION >= 0x050000
 #include <rpm/rpm4compat.h>
 #endif
+#ifdef HAVE_RPM_RPMLIB_H
 #include <rpm/rpmlib.h>
+#else
+#include <rpm/rpmtag.h>
+#endif
 
 int main(int argc, char *argv[])
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc.ark	2008-10-12 17:52:24.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.cc	2008-10-12 17:52:32.000000000 +0000
@@ -45,8 +45,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 		   rpmCallbackType what,
-                   uint64_t amount,
-                   uint64_t total,
+                   rpmuint64_t amount,
+                   rpmuint64_t total,
 		   const void * pkgKey, void * data)
 
 {
--- apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h.ark	2008-10-12 17:56:03.000000000 +0000
+++ apt-0.5.15lorg3.94a/apt-pkg/rpm/aptcallback.h	2008-10-12 17:56:10.000000000 +0000
@@ -16,8 +16,8 @@ void * rpmCallback(const Header h,
 void * rpmCallback(const void * arg, 
 #endif
 			rpmCallbackType what,
-                        uint64_t amount,
-                        uint64_t total,
+                        rpmuint64_t amount,
+                        rpmuint64_t total,
 			const void * pkgKey, void * data);
 
 #endif /* _APTRPM_RPMCALLBACK_H */